Package Details: boswars 2.7-5

Git Clone URL: https://aur.archlinux.org/boswars.git (read-only)
Package Base: boswars
Description: Futuristic real-time strategy game
Upstream URL: http://www.boswars.org
Keywords: game rts strategy
Licenses: GPL
Submitter: StefanLohmaier
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 60
Popularity: 0.001017
First Submitted: 2007-03-17 21:09
Last Updated: 2015-07-08 03:21

Latest Comments

carstene1ns commented on 2014-07-17 13:00

Good catch, thank you! I included it in pkgrel 5.
I just wonder why this folder has never been included by the previous maintainers, considering it has been updated to 2.7 a year ago[1] and nobody ever complained... :)

[1]: http://pkgbuild.com/git/aur-mirror.git/commit/boswars/PKGBUILD?id=14d0d6bdf1e22b3382b575c5d93ed8587340c15e

tengo commented on 2014-07-17 02:09

It segfaults on some maps. PKGBUILD fix:

- cp -r campaigns doc graphics intro maps scripts sounds units "$pkgdir"/opt/bos
+ cp -r campaigns doc graphics intro maps patches scripts sounds units "$pkgdir"/opt/bos

carstene1ns commented on 2014-03-22 21:07

Adopted and fixed the dependencies. The png files are fixed in the prepare() function.

carstene1ns commented on 2014-03-21 01:12

Just adopted, will fix soon.

pauld commented on 2013-11-14 11:45

Someone have filled a bug against boswars 2.7 that contains fixed images: http://savannah.nongnu.org/bugs/?39610 I did not test it.

pauld commented on 2013-11-01 04:32

http://www.gossamer-threads.com/lists/gentoo/dev/271064 suggest to use pngcrush -fix ... not sure if png-crush does better than optipng.
http://pmt.sourceforge.net/pngcrush/

pauld commented on 2013-11-01 04:25

About: libpng error: IDAT: invalid distance too far back
There is https://git.reviewboard.kde.org/r/110314/
I tried to run optipng -fix on the minimap.png file, that seems to do it...
but after that I get the error on ui_bpanel_200x264.png and optimizing it and fixing it with optipng did not seems to help with that one.

jboy commented on 2013-10-29 02:42

It installs but crashes when I run it:

$ boswars
Can't open file 'preferences.lua': No such file or directory
Bos Wars V2.7.0, (c) 1998-2013 by the Bos Wars and Stratagus Project.
written by Lutz Sammer, Fabrice Rossi, Vladi Shabanski, Patrice Fortier,
Jon Gabrielson, Andreas Arens, Nehal Mistry, Jimmy Salmon, Francois Beerten and others.
(http://www.boswars.org)
Compile options VORBIS THEORA

Bos Wars may be copied only under the terms of the GNU General Public License
which must be distributed with this program.

DISCLAIMER:
This software is provided as-is. The author(s) can not be held liable for any
damage that might arise from the use of this software.
Use it at your own risk.

libpng warning: iCCP: known incorrect sRGB profile
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
libpng error: IDAT: invalid distance too far back
Error reading the PNG file.
Can't load the graphic `graphics/ui/ui_minimap.png'

whatot commented on 2013-06-21 04:49

2.7 is out!

Anonymous comment on 2013-02-17 10:52

Adopted, changed dependency lua to lua51 and added glu

pdxleif commented on 2012-12-22 04:08

I guess 'mesa' should be added to the dependencies of this.

pdxleif commented on 2012-12-22 03:37

Build fails with:
scons: Building targets ...
g++ -o build/release/action/command.o -c -fsigned-char -O2 -pipe -fomit-frame-pointer -fexpensive-optimizations -ffast-math -DUSE_VORBIS -DUSE_THEORA -DUSE_OGG -DHAVE_STRCASESTR -DHAVE_STRNLEN -DHAVE_X -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/local/include -I/usr/include/lua5.1 -I/usr/include -I/usr/include/SDL -Iengine/include -Iengine/guichan/include engine/action/command.cpp
In file included from engine/include/video.h:34:0,
from engine/include/player.h:242,
from engine/action/command.cpp:41:
/usr/include/SDL/SDL_opengl.h:46:60: fatal error: GL/gl.h: No such file or directory
compilation terminated.
scons: *** [build/release/action/command.o] Error 1

losinggeneration commented on 2011-03-18 16:55

@R.Daneel Sorry, I'm pretty sure you're wrong. The AUR guidelines don't allow including a binary or filelist generated by makepkg. If you want to post a link and quote the exact text you feel I'm violating, please do. Otherwise, thanks for stopping by.

Anonymous comment on 2010-12-06 04:33

Your tarball has some issues. AUR guidelines suggest to not include binaries. Take for example:
boswars/boswars.png
"Just an icon" you say, but I think you can do better. Thank you.

losinggeneration commented on 2010-09-01 19:11

Now it's actually built from the source, and it isn't arch="any" because there is an executable built

hollunder commented on 2010-05-10 10:33

Why the hell are you downloading the source and installing a pre-compiled binary?

hollunder commented on 2010-05-10 10:32

Why the hell are you downloading the source and installing a pre-compiled binary?

techno-geek commented on 2010-05-07 05:41

I am picking this up. I will try it keep up with it. Let me know if you encounter any problems.

lordheavy commented on 2010-05-02 07:28

updated to 2.6.1!

lordheavy commented on 2010-05-01 21:04

updated to 2.6.1!

geraldoav commented on 2010-04-22 11:06

The path to sources has changed. After pointing to new location (http://www.boswars.org/dist/releases/boswars-2.5-src.tar.gz) I had a compilation error. http://aur.pastebin.com/3W0yK5LH

Please update to 2.6

Thanks

dumblob commented on 2010-04-16 14:46

Could you please update this package to 2.6 (see the last post from sotrud_nik)?

Thank you.

sotrud_nik commented on 2010-04-15 07:59

http://www.boswars.org/news.shtml

2.6 released